Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 232380 - Pod::Readme: BR'ing perl(Test::Pod::Coverage) creates a circular BR loop
Summary: Pod::Readme: BR'ing perl(Test::Pod::Coverage) creates a circular BR loop
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-Pod-Readme
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Steven Pritchard
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: perl_5.10
TreeView+ depends on / blocked
 
Reported: 2007-03-15 03:07 UTC by Chris Weyl
Modified: 2008-03-11 02:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-03-11 02:21:58 UTC


Attachments (Terms of Use)

Description Chris Weyl 2007-03-15 03:07:52 UTC
Another fun circular BR loop :)

Though this is seen when trying to rebuild perl-Module-Build:

perl-Module-Build BR's perl(Pod::Readme)
perl-Pod-Readme BR's perl(Test::Pod::Coverage)
perl-Test-Pod-Coverage BR's perl(Pod::Coverage)
perl-Pod-Coverage BR's perl(Module::Build)

Since Test::Pod::Coverage is a developer test, and not needed for the build of
perl-Pod-Readme, can we drop it as a BR to this package?

Comment 1 Steven Pritchard 2007-11-27 14:59:52 UTC
Haven't we broken this circular dependency already by not BR'ing Pod::Readme in
Module::Build (bug #215558)?

Comment 2 Chris Weyl 2008-03-11 02:21:58 UTC
Sounds good to me...


Note You need to log in before you can comment on or make changes to this bug.